var jsBridgeTag = "JsBridge.js";

/**
 * 注册js桥
 * @param appID app申请的id
 * @param version JSSDK版本号
 */
function registerBridge(appID, version, callBackID) {
    var myAppID=getAppID();
    if(myAppID==""||myAppID==null||myAppID==undefined){
        callBack(CodeEnum.APP_ID_NOT_FOUND, callBackID, "");
        return;
    }

    if (appID == getAppID()) {
        var signValue = DES3.encrypt(key, appID, appID);
        var isSuccess = _callNativeSaveSign(signValue)
        if (isSuccess) {
            callBack(CodeEnum.SUCCESS, callBackID, signValue);
        } else {
            callBack(CodeEnum.APP_ERROR, callBackID, "");

        }
    } else {
        callBack(CodeEnum.APP_ID_NOT_FOUND, callBackID, "");
    }
}

/**
 *执行业务数据
 * @param json
 */
function postBridge(json) {
 var bean ;
    try {
        Logger.i(jsBridgeTag, "postBridge des3 json=" + json);
        var jsonStr = DES3.decrypt(getAppID(), json, getSign()) + ""
        Logger.i(jsBridgeTag, "postBridge json=" + jsonStr);
         bean = JSON.parse(jsonStr);
         }
    catch (err) {
        Logger.i(jsBridgeTag, "postBridge error=" + '错误' + err.message + '发生在' + err.lineNumber + '行');
        callBack(CodeEnum.PARAMS_IS_ERROR, "postBridge", callBackID, "");
    }
    try {
        if(typeof(bean.functionName) == undefined){
            callBack(CodeEnum.PARAMS_IS_ERROR, "postBridge", "", "");
            return;
        }
        callBusiness(bean.functionName, bean.callBackID, bean.data);
    }
    catch (err) {
        Logger.i(jsBridgeTag, "postBridge error=" + '错误' + err.message + '发生在' + err.lineNumber + '行');
        callBack(CodeEnum.APP_ERROR, "postBridge", bean.callBackID, bean.data);
    }
}


